<?php

/**
 * @package plugin Nomad
 * @copyright (C) 2012-2017 RicheyWeb - www.richeyweb.com
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * Nomad Copyright (c) 2017 Michael Richey.
 * Nomad is licensed under the http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 */
// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

/**
 * Nomad system plugin
 */
class plgSystemNomad extends JPlugin {

    public $app;
    public $doc;
    public $user;
    private $run;
    private $menu;
    private $current;
    private $home;

    function __construct(&$subject, $config = array()) {
	$this->app = JFactory::getApplication();
	$this->doc = JFactory::getDocument();
	$this->user = JFactory::getUser();
	$this->run = ($this->app->isSite() && $this->user->id && $this->doc->getType() === 'html');
	parent::__construct($subject, $config);
    }

    function onAfterRoute() {
	$this->getMenu();
	if (!$this->run || $this->current->id != $this->home->id)
	{
	    return true;
	}
	
	return $this->redirect($this->params->get('homepage',$this->home->id));
    }
    
    private function getMenu() {
	$this->menu = $this->app->getMenu();
	$this->current = $this->menu->getActive();
	$this->home = $this->menu->getDefault();	
    }

    private function redirect($id) {
	if ($id === $this->home->id || $id === $this->current->id)
	{
	    return true;
	}
	$menuitem = $this->menu->getItem($id);
	if ($menuitem->type === 'alias')
	{
	    return $this->redirect($menuitem->params->get('aliasoptions'));
	}
	
	return $this->app->redirect(JRoute::_($menuitem->link . '&Itemid=' . $id));
    }

    
}
